/*
 * linedata.c
 *
 *  Created on: 18.10.2010
 *      Author: Stephan
 */
#include "asuro.h"
#include <util/delay.h>

uint8_t winkel_fahren(float winkel);

uint16_t line_high_l, line_low_l, line_high_r, line_low_r, line_opt_l,
		line_opt_r;

uint16_t lineData_left(void) {
	uint16_t data[2];
	LineData(data);
	return data[0];
}

uint16_t lineData_right(void) {
	uint16_t data[2];
	LineData(data);
	return data[1];
}

void hl_linedata(void) {
	uint16_t data[2];
	FrontLED(ON);
	LineData(data);
	line_opt_l = data[0];
	line_opt_r = data[1];
	winkel_fahren(5);
	LineData(data);
	line_high_l = data[0];
	line_low_r = data[1];
	_delay_ms(1000);
	winkel_fahren(-10);
	LineData(data);
	line_high_r = data[1];
	line_low_l = data[0];

	char text[11];
	SerWrite("Links: ", 7);
	SerWrite(" H:", 3);
	int_to_string(line_high_l, text);
	SerWrite(text, 3);
	SerWrite(" L:", 3);
	int_to_string(line_low_l, text);
	SerWrite(text, 3);
	SerWrite(" opt:", 5);
	int_to_string(line_opt_l, text);
	SerWrite(text, 3);
	SerWrite("    Rechts: ", 11);
	SerWrite(" H:", 3);
	int_to_string(line_high_r, text);
	SerWrite(text, 3);
	SerWrite(" L:", 3);
	int_to_string(line_low_r, text);
	SerWrite(text, 3);
	SerWrite(" opt:", 5);
	int_to_string(line_opt_r, text);
	SerWrite(text, 3);

}

void lineFollow(void) {
	MotorDir(FWD, FWD);
	MotorSpeed(150, 150);
	if (lineData_left()) {
		MotorSpeed(255, 255);
	}
	//umdrehung;
}
